#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	6.3.5
%define		qtver		5.15.2
%define		kpname		plasma-systemmonitor
%define		kf6ver		5.39.0

Summary:	plasma-systemmonitor
Name:		kp6-%{kpname}
Version:	6.3.5
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	475205f9fceb124377e88853e779245a
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6DBus-devel >= 5.15.0
BuildRequires:	Qt6Gui-devel >= 5.15.0
BuildRequires:	Qt6Network-devel >= 5.15.0
BuildRequires:	Qt6Qml-devel >= 5.15.2
BuildRequires:	Qt6Quick-devel >= 5.15.0
BuildRequires:	Qt6Widgets-devel >= 5.15.0
BuildRequires:	cmake >= 3.16.0
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= 5.82
BuildRequires:	kf6-kconfig-devel >= 5.82
BuildRequires:	kf6-kdbusaddons-devel >= 5.82
BuildRequires:	kf6-kdeclarative-devel >= 5.82
BuildRequires:	kf6-kglobalaccel-devel >= 5.82
BuildRequires:	kf6-ki18n-devel >= 5.82
BuildRequires:	kf6-kiconthemes-devel >= 5.82
BuildRequires:	kf6-kio-devel >= 5.82
BuildRequires:	kf6-kitemmodels-devel >= 5.82
BuildRequires:	kf6-knewstuff-devel >= 5.82
BuildRequires:	kf6-kservice-devel >= 5.85.0
BuildRequires:	kp6-libksysguard-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Obsoletes:	kp5-%{kpname} < 6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
An application for monitoring system resources.

plasma-systemmonitor provides an interface for monitoring system
sensors, process information and other system resources. It is built
on top of the faces system also used to provide widgets for
plasma-dekstop and makes use of the ksystemstats daemon to provide
sensor information. It allows extensive customisation of pages, so it
can be made to show exactly which data people want to see.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build
sed -i -e 's|/usr/bin/env python3|/usr/bin/python3|' $RPM_BUILD_ROOT%{_datadir}/kconf_update/plasma-systemmonitor-replace-vmpss.py

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/plasma-systemmonitor
%attr(755,root,root) %{_libdir}/libPlasmaSystemMonitorPage.so
%attr(755,root,root) %{_libdir}/libPlasmaSystemMonitorTable.so
%{_datadir}/kglobalaccel/org.kde.plasma-systemmonitor.desktop
%{_libdir}/qt6/qml/org/kde/ksysguard/page
%{_libdir}/qt6/qml/org/kde/ksysguard/table
%{_desktopdir}/org.kde.plasma-systemmonitor.desktop
%{_datadir}/config.kcfg/systemmonitor.kcfg
%{_datadir}/kconf_update/plasma-systemmonitor.upd
%attr(755,root,root) %{_datadir}/kconf_update/plasma-systemmonitor-replace-vmpss.py
%{_datadir}/knsrcfiles/plasma-systemmonitor.knsrc
%{_datadir}/ksysguard/sensorfaces/org.kde.ksysguard.applicationstable
%{_datadir}/ksysguard/sensorfaces/org.kde.ksysguard.processtable
%{_datadir}/plasma-systemmonitor
%dir %{_datadir}/plasma/kinfocenter
%dir %{_datadir}/plasma/kinfocenter/externalmodules
%{_datadir}/plasma/kinfocenter/externalmodules/kcm_external_plasma-systemmonitor.desktop
%{_datadir}/metainfo/org.kde.plasma-systemmonitor.metainfo.xml
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-plasma-systemmonitor.git;a=log;h=master

* Wed May 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> ef750ba
- updated to 6.3.5

* Wed Apr 02 2025 Witold Filipczyk <witekfl@poczta.onet.pl> afd5a8c
- updated to 6.3.4

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0b38ed1
- updated to 6.3.3

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c55e091
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> f1e3b15
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 7e3a46b
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9726cb8
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cd9d518
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 988c611
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1bbc1bd
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a36d00e
- updated to 6.2.1

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7393cea
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 166b81a
- updated to 6.1.5

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2851427
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4db45be
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e99e4ef
- updated to 6.1.2

* Wed Jun 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 243ae56
- updated to 6.1.1

* Wed Jun 19 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bfd8e1d
- updated to 6.1.0

* Wed May 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4f9af23
- updated to 6.0.5

* Wed Apr 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4bb20be
- updated to 6.0.4

